Summary:	Graphical interface to configure the grub2/burg settings
Name:		grub-customizer
Version:	5.0.6
Release:	1
License:	GPLv3+
Group:		System/Configuration/Boot and Init
Url:		https://launchpad.net/grub-customizer
Source0:	https://launchpadlibrarian.net/160721885/%{name}_%{version}.tar.gz
Source1:	%{name}-grub.cfg
Source2:	%{name}-pamd
Source3:	translation-ru.mo
Source4:	translation-ru.po
Patch0:		grub-customizer-sbin.patch
Patch1:		grub-customizer-3.0.4-russian_desktopfile.patch
Patch2:		grub-customizer-5.0.6-gettext.patch
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	grub2
Requires:	grub2
Requires:	usermode-consoleonly

%description
Grub Customizer is a graphical interface to configure the grub2/burg
settings with focus on the individual list order - without losing the
dynamical behavior of grub.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/*.policy
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/grubcfg-proxy
%{_mandir}/man1/%{name}.1*
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/grub.cfg
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p2
%patch1 -p1
%patch2 -p1

# Fix Russian translation for 4.0.6, should be checked in future updates
cp %{SOURCE3} translation/translation-ru.mo
cp %{SOURCE4} translation/translation-ru.po

%build
%cmake
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_bindir}
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/%{name}

mkdir %{buildroot}/etc/%{name} -p
cp %{SOURCE1} %{buildroot}/etc/%{name}/grub.cfg
mkdir %{buildroot}/etc/pam.d -p
cp %{SOURCE2} %{buildroot}/etc/pam.d/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} << EOF
USER=root
PROGRAM=%{_sbindir}/%{name}
FALLBACK=false
SESSION=true
EOF

%find_lang %{name}


%changelog

* Sat Jun 04 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0.6-1
- (99df941) New version 5.0.6


